samtools-idxstats(1)

NAME
samtools idxstats - reports alignment summary statistics

SYNOPSIS

samtools idxstats in.sam|in.bam|in.cram

DESCRIPTION

Retrieve and print stats in the index file corresponding to the input file. Before calling idxstats, the input BAM file should be indexed by samtools index. If run on a SAM or CRAM file or an unindexed BAM file, this command will still produce the same summary statistics, but does so by reading through the entire file. This is far slower than using the BAM indices. The output is TAB-delimited with each line consisting of reference sequence name, sequence length, # mapped read-segments and # unmapped read-segments. It is written to stdout. Note this may count reads multiple times if they are mapped more than once or in multiple fragments.

AUTHOR

Written by Heng Li from the Sanger Institute.

SEE ALSO
samtools(1), samtools-flagstat(1), samtools-index(1), samtools-stats(1)

Samtools website: <http://www.htslib.org/>